Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004804 [DCSS] Bug Report minor always 2011-10-24 17:48 2013-09-14 01:41
Reporter ion_frigate View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.9 ancient branch
Summary 0004804: Useless warning for casting freezing cloud
Description As a demonspawn with the icy envelope mutation, I still get asked "really target yourself?" when casting this spell on myself, despite the immunity that mutation gives to freezing clouds. It's mildly annoying, since casting clouds that you are immune to on yourself is fairly frequent - witness poisonous cloud, which doesn't ask if you're sure if you're rPois (although it might in trunk now that rPois is only 90% effective).
Additional Information
Tags No tags attached.
Attached Files ? file icon Icemail check.patch [^] (462 bytes) 2013-09-14 01:06 [Show Content]

- Relationships
related to 0005295resolvedchris No prompt for poison clouds with unidentified rPois 
related to 0003395closedwheals Ice form can't run in freezing clouds 

-  Notes
(0023625)
bobross419 (reporter)
2013-08-02 10:43

Came in to post this same issue. Seems buggy that it still prompts me even though I'm immune to freezing clouds.
(0024012)
Naruni (reporter)
2013-09-14 01:06

Added the check in beam.cc function harmless_to_player.
Patch based off master branch e5f0be714.
(0024013)
neil (administrator)
2013-09-14 01:41

Naruni's fix is applied in trunk (0.13-a0-3037-ge29d092), with a change to make it not apply to non-cloud cold spells.

- Issue History
Date Modified Username Field Change
2011-10-24 17:48 ion_frigate New Issue
2013-03-15 15:01 mumra Issue Monitored: mumra
2013-03-27 06:59 mumra Relationship added related to 0005295
2013-03-27 07:16 mumra Relationship added related to 0003395
2013-08-02 10:43 bobross419 Note Added: 0023625
2013-09-14 01:06 Naruni Note Added: 0024012
2013-09-14 01:06 Naruni File Added: Icemail check.patch
2013-09-14 01:41 neil Note Added: 0024013
2013-09-14 01:41 neil Status new => resolved
2013-09-14 01:41 neil Fixed in Branch => 0.13 development branch
2013-09-14 01:41 neil Resolution open => done
2013-09-14 01:41 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker